Bug 589742 - SELinux is preventing /usr/sbin/sendmail.sendmail access to a leaked /tmp/.NSPR-AFM-1761-26861e0.0 (deleted) file descriptor.
Summary: SELinux is preventing /usr/sbin/sendmail.sendmail access to a leaked /tmp/.NS...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 12
Hardware: i386
OS: Linux
low
medium
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: setroubleshoot_trace_hash:8db3c3cdc6f...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-06 19:31 UTC by bradallenfuller
Modified: 2010-06-04 18:57 UTC (History)
2 users (show)

Fixed In Version: selinux-policy-3.6.32-116.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-06-04 18:57:55 UTC
Type: ---


Attachments (Terms of Use)

Description bradallenfuller 2010-05-06 19:31:02 UTC
Summary:

SELinux is preventing /usr/sbin/sendmail.sendmail access to a leaked
/tmp/.NSPR-AFM-1761-26861e0.0 (deleted) file descriptor.

Detailed Description:

[sendmail has a permissive type (system_mail_t). This access was not denied.]

SELinux denied access requested by the sendmail command. It looks like this is
either a leaked descriptor or sendmail output was redirected to a file it is not
allowed to access. Leaks usually can be ignored since SELinux is just closing
the leak and reporting the error. The application does not use the descriptor,
so it will run properly. If this is a redirection, you will not get output in
the /tmp/.NSPR-AFM-1761-26861e0.0 (deleted). You should generate a bugzilla on
selinux-policy, and it will get routed to the appropriate package. You can
safely ignore this avc.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://docs.fedoraproject.org/selinux-faq-fc5/#id2961385)

Additional Information:

Source Context                system_u:system_r:system_mail_t:s0
Target Context                system_u:object_r:httpd_tmp_t:s0
Target Objects                /tmp/.NSPR-AFM-1761-26861e0.0 (deleted) [ file ]
Source                        sendmail
Source Path                   /usr/sbin/sendmail.sendmail
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           sendmail-8.14.3-8.fc12
Target RPM Packages           
Policy RPM                    selinux-policy-3.6.32-113.fc12
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Plugin Name                   leaks
Host Name                     (removed)
Platform                      Linux (removed)
                              2.6.32.11-99.fc12.i686 #1 SMP Mon Apr 5 16:32:08
                              EDT 2010 i686 athlon
Alert Count                   5
First Seen                    Thu 06 May 2010 11:07:33 AM PDT
Last Seen                     Thu 06 May 2010 11:47:59 AM PDT
Local ID                      0973b3df-d130-493a-97b2-2e2267b68d8c
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1273171679.771:57): avc:  denied  { write } for  pid=4060 comm="sendmail" path=2F746D702F2E4E5350522D41464D2D313736312D323638363165302E30202864656C6574656429 dev=dm-0 ino=4003 scontext=system_u:system_r:system_mail_t:s0 tcontext=system_u:object_r:httpd_tmp_t:s0 tclass=file

node=(removed) type=SYSCALL msg=audit(1273171679.771:57): arch=40000003 syscall=11 success=yes exit=0 a0=8ba8ac8 a1=8ba8c08 a2=8ba7ed8 a3=8ba8c08 items=0 ppid=1814 pid=4060 auid=4294967295 uid=48 gid=489 euid=48 suid=48 fsuid=48 egid=486 sgid=486 fsgid=486 tty=(none) ses=4294967295 comm="sendmail" exe="/usr/sbin/sendmail.sendmail" subj=system_u:system_r:system_mail_t:s0 key=(null)



Hash String generated from  leaks,sendmail,system_mail_t,httpd_tmp_t,file,write
audit2allow suggests:

#============= system_mail_t ==============
allow system_mail_t httpd_tmp_t:file write;

Comment 1 Daniel Walsh 2010-05-06 19:41:45 UTC
Whatever app is creating /tmp/.NSPR-AFM-1761-26861e0.0 is leaking the file.

Miroslov,

Add

	apache_dontaudit_write_tmp_files(system_mail_t)

Comment 2 Miroslav Grepl 2010-05-11 13:20:57 UTC
Fixed in selinux-policy-3.6.32-115.fc12

Comment 3 Fedora Update System 2010-05-21 13:52:21 UTC
selinux-policy-3.6.32-116.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/selinux-policy-3.6.32-116.fc12

Comment 4 Fedora Update System 2010-05-24 19:34:22 UTC
selinux-policy-3.6.32-116.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update selinux-policy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/selinux-policy-3.6.32-116.fc12

Comment 5 Fedora Update System 2010-06-04 18:57:10 UTC
selinux-policy-3.6.32-116.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.